%define name gtkicq
%define version 0.60
%define release 1
%define serial 1

Summary: GtkICQ is a clone of Mirabilis' popular ICQ written with GTK.
Name: %{name}
Version: %{version}
Release: %{release}
Serial: %{serial}
Copyright: GPL
Group: Applications/Communications
URL: http:/gtkicq.pn.org/gtkicq
Vendor: Jeremy Wise <jwise@pathwaynet.com>
Source: ftp://gtkicq.pn.org/pub/gtkicq/%{name}-%{version}.tar.gz
Distribution: Freshmeat RPMs
Requires: gtk+ >= 1.1.12
Packager: Ryan Weaver <ryanw@infohwy.com>
BuildRoot: /tmp/%{name}-%{version}

%description
	GtkICQ is a clone of Mirabilis' popular ICQ written with GTK.
The original source was taken from Matt Smith's mICQ.  This is ment as
a replacement for the JavaICQ, which is slow and buggy.  If you would
like to contribute, please contact Jeremy Wise ( jwise@pathwaynet.com ).

%prep
%setup -q
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr

%build
make

%install
make prefix=$RPM_BUILD_ROOT/usr install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
/usr/bin/gtkicq
/usr/etc/CORBA/servers/GtkICQ.gnorba
/usr/share/applets/Network/GtkICQ.desktop
/usr/share/pixmaps/gnome-gtkicq.xpm
/usr/share/pixmaps/gtkicq-auth.xpm
/usr/share/pixmaps/gtkicq-away.xpm
/usr/share/pixmaps/gtkicq-blank.xpm
/usr/share/pixmaps/gtkicq-chat.xpm
/usr/share/pixmaps/gtkicq-chat2.xpm
/usr/share/pixmaps/gtkicq-dnd.xpm
/usr/share/pixmaps/gtkicq-ffc.xpm
/usr/share/pixmaps/gtkicq-inv.xpm
/usr/share/pixmaps/gtkicq-message.xpm
/usr/share/pixmaps/gtkicq-na.xpm
/usr/share/pixmaps/gtkicq-nomess.xpm
/usr/share/pixmaps/gtkicq-occ.xpm
/usr/share/pixmaps/gtkicq-offline.xpm
/usr/share/pixmaps/gtkicq-online.xpm
/usr/share/pixmaps/gtkicq-url.xpm

%changelog
* Thu Feb 11 1999 Ryan Weaver <ryanw@infohwy.com>
  [gtkicq-0.60-1]
- Compiles with gtk+ >= 1.1.12 only.
- See ChangeLog in doc dir.

* Fri Jan 22 1999 Ryan Weaver <ryanw@infohwy.com>
  [gtkicq-0.58pre-1]
- Moved from using Fryguy_ to Ryan Weaver
- Upgraded to 0.58pre
- This is exactly the same as 0.57 but will build on gtk+ >= 1.1.5

* Tue Nov 10 1998 Fryguy_ <fryguy@falsehope.com>
  [gtkicq-0.57-1]
- Upgraded to 0.57 full release
- Changes From Version 0.56 -
  * Memory leaks plugged
  * Messages now sent to desired recipients all the time
  * Mode problems with Mirabilis' ICQ 99a fixed
  * Fixed bug that caused crashing when getting extended info

* Fri Oct 23 1998 Fryguy_ <fryguy@falsehope.com>
  [gtkicq-0.56-1]
- Upgraded to 0.56 full release
- Changes From Version 0.55 -
  * More Bug fixes
  * Added -c <config-file> command line option
  * Working GNOME applet
  * Added -a command line option (run without applet)
  * Size of window can now be changed, either smaller or bigger
  * Fixed remove user bug
  * Removed support/ directory, and no longer installing libs
  * Cannot send 0 length message
  * Added configuration window (Paul Laufer <PELaufer@CSUPomona.edu>)
  * Upgraded to V4 of the protocol (for some reason, only for Gnome)
